Bug 846680

Summary: DATA LOST, tags at my test runs are lost
Product: [Other] TCMS Reporter: Petr Sklenar <psklenar>
Component: DatabaseAssignee: Yang Ren <ryang>
Status: VERIFIED --- QA Contact: tools-bugs <tools-bugs>
Severity: urgent Docs Contact:
Priority: urgent    
Version: 3.7.0CC: azelinka, dli, jscotka, junzhang, mshao, ryang, vchen
Target Milestone: ---Keywords: TestBlocker
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 3.7.2-1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Petr Sklenar 2012-08-08 08:29:05 EDT
Description of problem:
I uses tags at tcms test run, I was using colorDDDD, color6666 etc.
All of these tags were lost at all of my test run.
It was there yesterday or the day before yesterday.
Now its lost

Version-Release number of selected component (if applicable):
Nitrate 3.7.1 © 2012 Red Hat, Inc. All rights reserved.

How reproducible:
deterministic

Steps to Reproduce:
1. use tags at test runs
2. do nothing
  
Actual results:
https://tcms.engineering.redhat.com/plan/6560/#testruns
https://tcms.engineering.redhat.com/plan/6559/#testruns
https://tcms.engineering.redhat.com/plan/6560/#testruns

Expected results:
Data lost is not user friendly and now I cannot determine if I didn't lost something more somewhere else. 

Additional info:
Comment 1 Jan Ščotka 2012-08-08 08:55:37 EDT
Hi,
I've met same situation longer time ago, many of my TestPlanRuns lost their tags,
nobody found whats wrong happened. Hope that now we found what happened there.
   Thanks
   Honza
Comment 2 Yang Ren 2012-08-08 22:32:31 EDT
Do u guys find some step to reproduce this problem? So that we can debug more efficiently
Comment 3 Xiangyang Chu 2012-08-08 23:10:58 EDT
(In reply to comment #0)
> Description of problem:
> I uses tags at tcms test run, I was using colorDDDD, color6666 etc.
> All of these tags were lost at all of my test run.
> It was there yesterday or the day before yesterday.
> Now its lost
> 

Hi Petr,

First feel sorry to cause inconvenient,

And to solve this we also want some more information from you:

*how do you access your testrun, web or xmlrpc?
include using tags and updating testrun or testcase run

*can you provide some more tag names that lost?
we want to find out if they are really gone or dis-connected with your testrun.

Thanks
Comment 4 Petr Sklenar 2012-08-09 02:05:42 EDT
tagname was: colorDDDD color9999
I access into tcms run over xmlrpc, time to time over web. Tags were there.
One of my last action was manually deleting last one run over web.
Comment 5 Petr Sklenar 2012-08-09 02:23:32 EDT
one more tag name what I used: color6666
Comment 6 Xiangyang Chu 2012-08-09 02:39:55 EDT
(In reply to comment #4)
> tagname was: colorDDDD color9999
> I access into tcms run over xmlrpc, time to time over web. Tags were there.
> One of my last action was manually deleting last one run over web.

Thanks for your information, and we're working on it.
Comment 7 Jan Ščotka 2012-08-09 02:54:45 EDT
Hi,
in my case it was tags tier and tiercandidate in testplanrun (it is longer time ago, several months) tried to solve it via tcms mailing list, didn't found reason whats happen. I also sometimes use removing testplanruns, but I think it is not connected together, due to I've used it still and nothing bad happen for several months.

I can imagine situation how it happened:
that there is some trigger, or cascade constrait, for example, that in case more testplanrun are deleted (in short period), that there can be some variable, or temporary table, which may be somehow damaged, when more deleting of testplanrun happen and something can think that there is no other testplan with similar tag, so cause removing testplanrun tag from all other runs?)
It is only some example, I don't know how tcms backend seems :-)

   Thanks&Regards
   Honza
Comment 8 yawei Li 2012-08-09 03:10:39 EDT
Thanks Petr and Honza for your detailed steps and kindly analysis.
Yes, we can reproduce this issue now. when deleting one test run with some tags, the other testruns from the same test plan will lose the tags.
We are fixing it now, and will provide a hot fix asap.
Comment 9 Xin Gao 2012-08-13 05:26:52 EDT
Verify 3.7.0-2 on stage -->PASS

Verify steps:
1. Enter into one test plan.
2. Write two new runs, run1, run2.
3. Add some tags(tag1, tag2,...) to run1, run2. 
4. Delete run1.
5. Check run2's tags.

Actual result:
All run2 tags are exist, and work well.
Comment 10 Xin Gao 2012-08-13 05:37:38 EDT
Verify 3.7.0-2 on stage -->PASS

Verify steps:
1. Enter into one test plan.
2. Write two new runs, run1, run2.
3. Add some tags(tag1, tag2,...) to run1, run2. 
4. Delete run1.
5. Check run2's tags.

Actual result:
All run2 tags are exist, and work well.